/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author 590685
 */
public class tradingProductCreationBean {

    //Create
    private String commoditytype;
    private String typeDesc;
    private String commoditysubtype;
    private String subtypeDesc;
    private String unit;
    private String product_id;
    private String status;
    private String lease;
    private String pricePerUnit;
    private String priceFreq;
    private String minDays;
    private String maxDays;
    private String landArea;
    private String cgst;
    private String sgst;
    private String pacsId;
    private String purchaseGL;
    private String saleGL;
    private String closeGL;
    private String tradeGL;
    private String purchaseID;
    private String saleID;
    private String closeID;
    private String tradeID;
    private String purchaseIDAmend;
    private String saleIDAmend;
    private String closeIDAmend;
    private String tradeIDAmend;

    
    public String getPurchaseIDAmend() {
        return purchaseIDAmend;
    }

    public void setPurchaseIDAmend(String purchaseIDAmend) {
        this.purchaseIDAmend = purchaseIDAmend;
    }

    public String getSaleIDAmend() {
        return saleIDAmend;
    }

    public void setSaleIDAmend(String saleIDAmend) {
        this.saleIDAmend = saleIDAmend;
    }

    public String getCloseIDAmend() {
        return closeIDAmend;
    }

    public void setCloseIDAmend(String closeIDAmend) {
        this.closeIDAmend = closeIDAmend;
    }

    public String getTradeIDAmend() {
        return tradeIDAmend;
    }

    public void setTradeIDAmend(String tradeIDAmend) {
        this.tradeIDAmend = tradeIDAmend;
    }

    public String getPurchaseID() {
        return purchaseID;
    }

    public void setPurchaseID(String purchaseID) {
        this.purchaseID = purchaseID;
    }

    public String getSaleID() {
        return saleID;
    }

    public void setSaleID(String saleID) {
        this.saleID = saleID;
    }

    public String getCloseID() {
        return closeID;
    }

    public void setCloseID(String closeID) {
        this.closeID = closeID;
    }

    public String getTradeID() {
        return tradeID;
    }

    public void setTradeID(String tradeID) {
        this.tradeID = tradeID;
    }

    public String getPacsId() {
        return pacsId;
    }

    public void setPacsId(String pacsId) {
        this.pacsId = pacsId;
    }

    //Update
    private String commoditytypeAmend;
    private String typeDescAmend;
    private String commoditysubtypeAmend;
    private String subtypeDescAmend;
    private String unitAmend;
    private String statusAmend;
    private String leaseAmend;
    private String pricePerUnitAmend;
    private String priceFreqAmend;
    private String minDaysAmend;
    private String maxDaysAmend;
    private String landAreaAmend;
    private String cgstAmend;
    private String sgstAmend;

    //Search

    private String commoditytypeSearch;
    private String commoditySubtypeSearch;

    public String getPurchaseGL() {
        return purchaseGL;
    }

    public void setPurchaseGL(String purchaseGL) {
        this.purchaseGL = purchaseGL;
    }

    public String getSaleGL() {
        return saleGL;
    }

    public void setSaleGL(String saleGL) {
        this.saleGL = saleGL;
    }

    public String getCloseGL() {
        return closeGL;
    }

    public void setCloseGL(String closeGL) {
        this.closeGL = closeGL;
    }

    public String getTradeGL() {
        return tradeGL;
    }

    public void setTradeGL(String tradeGL) {
        this.tradeGL = tradeGL;
    }

    public String getCgst() {
        return cgst;
    }

    public void setCgst(String cgst) {
        this.cgst = cgst;
    }

    public String getCgstAmend() {
        return cgstAmend;
    }

    public void setCgstAmend(String cgstAmend) {
        this.cgstAmend = cgstAmend;
    }

    public String getSgst() {
        return sgst;
    }

    public void setSgst(String sgst) {
        this.sgst = sgst;
    }

    public String getSgstAmend() {
        return sgstAmend;
    }

    public void setSgstAmend(String sgstAmend) {
        this.sgstAmend = sgstAmend;
    }

    public String getLandAreaAmend() {
        return landAreaAmend;
    }

    public void setLandAreaAmend(String landAreaAmend) {
        this.landAreaAmend = landAreaAmend;
    }

    public String getLandArea() {
        return landArea;
    }

    public void setLandArea(String landArea) {
        this.landArea = landArea;
    }

    public String getLeaseAmend() {
        return leaseAmend;
    }

    public void setLeaseAmend(String leaseAmend) {
        this.leaseAmend = leaseAmend;
    }

    public String getMaxDaysAmend() {
        return maxDaysAmend;
    }

    public void setMaxDaysAmend(String maxDaysAmend) {
        this.maxDaysAmend = maxDaysAmend;
    }

    public String getMinDaysAmend() {
        return minDaysAmend;
    }

    public void setMinDaysAmend(String minDaysAmend) {
        this.minDaysAmend = minDaysAmend;
    }

    public String getPriceFreqAmend() {
        return priceFreqAmend;
    }

    public void setPriceFreqAmend(String priceFreqAmend) {
        this.priceFreqAmend = priceFreqAmend;
    }

    public String getPricePerUnitAmend() {
        return pricePerUnitAmend;
    }

    public void setPricePerUnitAmend(String pricePerUnitAmend) {
        this.pricePerUnitAmend = pricePerUnitAmend;
    }

    public String getMaxDays() {
        return maxDays;
    }

    public void setMaxDays(String maxDays) {
        this.maxDays = maxDays;
    }

    public String getMinDays() {
        return minDays;
    }

    public void setMinDays(String minDays) {
        this.minDays = minDays;
    }

    public String getPriceFreq() {
        return priceFreq;
    }

    public void setPriceFreq(String priceFreq) {
        this.priceFreq = priceFreq;
    }

    public String getPricePerUnit() {
        return pricePerUnit;
    }

    public void setPricePerUnit(String pricePerUnit) {
        this.pricePerUnit = pricePerUnit;
    }

    public String getLease() {
        return lease;
    }

    public void setLease(String lease) {
        this.lease = lease;
    }

    public String getCommoditySubtypeSearch() {
        return commoditySubtypeSearch;
    }

    public void setCommoditySubtypeSearch(String commoditySubtypeSearch) {
        this.commoditySubtypeSearch = commoditySubtypeSearch;
    }

    public String getCommoditysubtype() {
        return commoditysubtype;
    }

    public void setCommoditysubtype(String commoditysubtype) {
        this.commoditysubtype = commoditysubtype;
    }

    public String getCommoditysubtypeAmend() {
        return commoditysubtypeAmend;
    }

    public void setCommoditysubtypeAmend(String commoditysubtypeAmend) {
        this.commoditysubtypeAmend = commoditysubtypeAmend;
    }

    public String getCommoditytype() {
        return commoditytype;
    }

    public void setCommoditytype(String commoditytype) {
        this.commoditytype = commoditytype;
    }

    public String getCommoditytypeAmend() {
        return commoditytypeAmend;
    }

    public void setCommoditytypeAmend(String commoditytypeAmend) {
        this.commoditytypeAmend = commoditytypeAmend;
    }

    public String getCommoditytypeSearch() {
        return commoditytypeSearch;
    }

    public void setCommoditytypeSearch(String commoditytypeSearch) {
        this.commoditytypeSearch = commoditytypeSearch;
    }

    public String getProduct_id() {
        return product_id;
    }

    public void setProduct_id(String product_id) {
        this.product_id = product_id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatusAmend() {
        return statusAmend;
    }

    public void setStatusAmend(String statusAmend) {
        this.statusAmend = statusAmend;
    }

    public String getSubtypeDesc() {
        return subtypeDesc;
    }

    public void setSubtypeDesc(String subtypeDesc) {
        this.subtypeDesc = subtypeDesc;
    }

    public String getSubtypeDescAmend() {
        return subtypeDescAmend;
    }

    public void setSubtypeDescAmend(String subtypeDescAmend) {
        this.subtypeDescAmend = subtypeDescAmend;
    }

    public String getTypeDesc() {
        return typeDesc;
    }

    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }

    public String getTypeDescAmend() {
        return typeDescAmend;
    }

    public void setTypeDescAmend(String typeDescAmend) {
        this.typeDescAmend = typeDescAmend;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitAmend() {
        return unitAmend;
    }

    public void setUnitAmend(String unitAmend) {
        this.unitAmend = unitAmend;
    }



}
